Package com.google.protobuf

# Class DescriptorProtos.EnumDescriptorProto.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<DescriptorProtos.EnumDescriptorProto.Builder>
com.google.protobuf.GeneratedMessage.Builder<DescriptorProtos.EnumDescriptorProto.Builder>
com.google.protobuf.DescriptorProtos.EnumDescriptorProto.Builder

All Implemented Interfaces:
  `DescriptorProtos.EnumDescriptorProtoOrBuilder`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  `DescriptorProtos.EnumDescriptorProto`

public static final class DescriptorProtos.EnumDescriptorProto.Builder extends GeneratedMessage.Builder<DescriptorProtos.EnumDescriptorProto.Builder> implements DescriptorProtos.EnumDescriptorProtoOrBuilder
Protobuf type `google.protobuf.EnumDescriptorProto`

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.EnumDescriptorProto.Builder`
`addAllReservedName(Iterable<String> values)`
`repeated string reserved_name = 5 [json_name = "reservedName"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`addAllReservedRange(Iterable<? extends DescriptorProtos.EnumDescriptorProto.EnumReservedRange> values)`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`addAllValue(Iterable<? extends DescriptorProtos.EnumValueDescriptorProto> values)`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`addReservedName(String value)`
`repeated string reserved_name = 5 [json_name = "reservedName"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`addReservedNameBytes(ByteString value)`
`repeated string reserved_name = 5 [json_name = "reservedName"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`addReservedRange(int index, DescriptorProtos.EnumDescriptorProto.EnumReservedRange value)`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`addReservedRange(int index, DescriptorProtos.EnumDescriptorProto.EnumReservedRange.Builder builderForValue)`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`addReservedRange(DescriptorProtos.EnumDescriptorProto.EnumReservedRange value)`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`addReservedRange(DescriptorProtos.EnumDescriptorProto.EnumReservedRange.Builder builderForValue)`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`DescriptorProtos.EnumDescriptorProto.EnumReservedRange.Builder`
`addReservedRangeBuilder()`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`DescriptorProtos.EnumDescriptorProto.EnumReservedRange.Builder`
`addReservedRangeBuilder(int index)`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`addValue(int index, DescriptorProtos.EnumValueDescriptorProto value)`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`addValue(int index, DescriptorProtos.EnumValueDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`addValue(DescriptorProtos.EnumValueDescriptorProto value)`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`addValue(DescriptorProtos.EnumValueDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`DescriptorProtos.EnumValueDescriptorProto.Builder`
`addValueBuilder()`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`DescriptorProtos.EnumValueDescriptorProto.Builder`
`addValueBuilder(int index)`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`DescriptorProtos.EnumDescriptorProto`
`build()`
Constructs the message based on the state of the Builder.
`DescriptorProtos.EnumDescriptorProto`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`DescriptorProtos.EnumDescriptorProto.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`DescriptorProtos.EnumDescriptorProto.Builder`
`clearName()`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`clearOptions()`
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`clearReservedName()`
`repeated string reserved_name = 5 [json_name = "reservedName"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`clearReservedRange()`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`clearValue()`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`DescriptorProtos.EnumDescriptorProto`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`String`
`getName()`
`optional string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.EnumOptions`
`getOptions()`
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`
`DescriptorProtos.EnumOptions.Builder`
`getOptionsBuilder()`
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`
`DescriptorProtos.EnumOptionsOrBuilder`
`getOptionsOrBuilder()`
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`
`String`
`getReservedName(int index)`
`repeated string reserved_name = 5 [json_name = "reservedName"];`
`ByteString`
`getReservedNameBytes(int index)`
`repeated string reserved_name = 5 [json_name = "reservedName"];`
`int`
`getReservedNameCount()`
`repeated string reserved_name = 5 [json_name = "reservedName"];`
`ProtocolStringList`
`getReservedNameList()`
`repeated string reserved_name = 5 [json_name = "reservedName"];`
`DescriptorProtos.EnumDescriptorProto.EnumReservedRange`
`getReservedRange(int index)`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`DescriptorProtos.EnumDescriptorProto.EnumReservedRange.Builder`
`getReservedRangeBuilder(int index)`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`List<DescriptorProtos.EnumDescriptorProto.EnumReservedRange.Builder>`
`getReservedRangeBuilderList()`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`int`
`getReservedRangeCount()`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`List<DescriptorProtos.EnumDescriptorProto.EnumReservedRange>`
`getReservedRangeList()`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`DescriptorProtos.EnumDescriptorProto.EnumReservedRangeOrBuilder`
`getReservedRangeOrBuilder(int index)`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`List<? extends DescriptorProtos.EnumDescriptorProto.EnumReservedRangeOrBuilder>`
`getReservedRangeOrBuilderList()`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`DescriptorProtos.EnumValueDescriptorProto`
`getValue(int index)`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`DescriptorProtos.EnumValueDescriptorProto.Builder`
`getValueBuilder(int index)`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`List<DescriptorProtos.EnumValueDescriptorProto.Builder>`
`getValueBuilderList()`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`int`
`getValueCount()`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`List<DescriptorProtos.EnumValueDescriptorProto>`
`getValueList()`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`DescriptorProtos.EnumValueDescriptorProtoOrBuilder`
`getValueOrBuilder(int index)`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`List<? extends DescriptorProtos.EnumValueDescriptorProtoOrBuilder>`
`getValueOrBuilderList()`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`boolean`
`hasName()`
`optional string name = 1 [json_name = "name"];`
`boolean`
`hasOptions()`
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`DescriptorProtos.EnumDescriptorProto.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`DescriptorProtos.EnumDescriptorProto.Builder`
`mergeFrom(DescriptorProtos.EnumDescriptorProto other)`
`DescriptorProtos.EnumDescriptorProto.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`DescriptorProtos.EnumDescriptorProto.Builder`
`mergeOptions(DescriptorProtos.EnumOptions value)`
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`removeReservedRange(int index)`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`removeValue(int index)`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`setName(String value)`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`setNameBytes(ByteString value)`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`setOptions(DescriptorProtos.EnumOptions value)`
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`setOptions(DescriptorProtos.EnumOptions.Builder builderForValue)`
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`setReservedName(int index, String value)`
`repeated string reserved_name = 5 [json_name = "reservedName"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`setReservedRange(int index, DescriptorProtos.EnumDescriptorProto.EnumReservedRange value)`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`setReservedRange(int index, DescriptorProtos.EnumDescriptorProto.EnumReservedRange.Builder builderForValue)`
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`setValue(int index, DescriptorProtos.EnumValueDescriptorProto value)`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`
`DescriptorProtos.EnumDescriptorProto.Builder`
`setValue(int index, DescriptorProtos.EnumValueDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage.Builder<DescriptorProtos.EnumDescriptorProto.Builder>`

### clear

public DescriptorProtos.EnumDescriptorProto.Builder clear()
Description copied from class: `GeneratedMessage.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessage.Builder<DescriptorProtos.EnumDescriptorProto.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessage.Builder<DescriptorProtos.EnumDescriptorProto.Builder>`

### getDefaultInstanceForType

public DescriptorProtos.EnumDescriptorProto getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public DescriptorProtos.EnumDescriptorProto build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public DescriptorProtos.EnumDescriptorProto buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public DescriptorProtos.EnumDescriptorProto.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.EnumDescriptorProto.Builder>`

### mergeFrom

public DescriptorProtos.EnumDescriptorProto.Builder mergeFrom(DescriptorProtos.EnumDescriptorProto other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage.Builder<DescriptorProtos.EnumDescriptorProto.Builder>`

### mergeFrom

public DescriptorProtos.EnumDescriptorProto.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.EnumDescriptorProto.Builder>`
Throws:
  `IOException` - an I/O error reading from the stream

### hasName

public boolean hasName()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `hasName` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`
Returns:
  Whether the name field is set.

### getName

public String getName()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `getName` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`
Returns:
  The name.

### getNameBytes

public ByteString getNameBytes()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `getNameBytes` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`
Returns:
  The bytes for name.

### setName

public DescriptorProtos.EnumDescriptorProto.Builder setName(String value)
`optional string name = 1 [json_name = "name"];`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

### clearName

public DescriptorProtos.EnumDescriptorProto.Builder clearName()
`optional string name = 1 [json_name = "name"];`

Returns:
  This builder for chaining.

### setNameBytes

public DescriptorProtos.EnumDescriptorProto.Builder setNameBytes(ByteString value)
`optional string name = 1 [json_name = "name"];`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

### getValueList

public List<DescriptorProtos.EnumValueDescriptorProto> getValueList()
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

Specified by:
  `getValueList` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

### getValueCount

public int getValueCount()
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

Specified by:
  `getValueCount` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

### getValue

public DescriptorProtos.EnumValueDescriptorProto getValue(int index)
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

Specified by:
  `getValue` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

### setValue

public DescriptorProtos.EnumDescriptorProto.Builder setValue(int index, DescriptorProtos.EnumValueDescriptorProto value)
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

### setValue

public DescriptorProtos.EnumDescriptorProto.Builder setValue(int index, DescriptorProtos.EnumValueDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

### addValue

public DescriptorProtos.EnumDescriptorProto.Builder addValue(DescriptorProtos.EnumValueDescriptorProto value)
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

### addValue

public DescriptorProtos.EnumDescriptorProto.Builder addValue(int index, DescriptorProtos.EnumValueDescriptorProto value)
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

### addValue

public DescriptorProtos.EnumDescriptorProto.Builder addValue(DescriptorProtos.EnumValueDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

### addValue

public DescriptorProtos.EnumDescriptorProto.Builder addValue(int index, DescriptorProtos.EnumValueDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

### addAllValue

public DescriptorProtos.EnumDescriptorProto.Builder addAllValue(Iterable<? extends DescriptorProtos.EnumValueDescriptorProto> values)
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

### clearValue

public DescriptorProtos.EnumDescriptorProto.Builder clearValue()
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

### removeValue

public DescriptorProtos.EnumDescriptorProto.Builder removeValue(int index)
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

### getValueBuilder

public DescriptorProtos.EnumValueDescriptorProto.Builder getValueBuilder(int index)
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

### getValueOrBuilder

public DescriptorProtos.EnumValueDescriptorProtoOrBuilder getValueOrBuilder(int index)
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

Specified by:
  `getValueOrBuilder` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

### getValueOrBuilderList

public List<? extends DescriptorProtos.EnumValueDescriptorProtoOrBuilder> getValueOrBuilderList()
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

Specified by:
  `getValueOrBuilderList` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

### addValueBuilder

public DescriptorProtos.EnumValueDescriptorProto.Builder addValueBuilder()
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

### addValueBuilder

public DescriptorProtos.EnumValueDescriptorProto.Builder addValueBuilder(int index)
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

### getValueBuilderList

public List<DescriptorProtos.EnumValueDescriptorProto.Builder> getValueBuilderList()
`repeated .google.protobuf.EnumValueDescriptorProto value = 2 [json_name = "value"];`

### hasOptions

public boolean hasOptions()
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`

Specified by:
  `hasOptions` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`
Returns:
  Whether the options field is set.

### getOptions

public DescriptorProtos.EnumOptions getOptions()
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`

Specified by:
  `getOptions` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`
Returns:
  The options.

### setOptions

public DescriptorProtos.EnumDescriptorProto.Builder setOptions(DescriptorProtos.EnumOptions value)
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`

### setOptions

public DescriptorProtos.EnumDescriptorProto.Builder setOptions(DescriptorProtos.EnumOptions.Builder builderForValue)
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`

### mergeOptions

public DescriptorProtos.EnumDescriptorProto.Builder mergeOptions(DescriptorProtos.EnumOptions value)
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`

### clearOptions

public DescriptorProtos.EnumDescriptorProto.Builder clearOptions()
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`

### getOptionsBuilder

public DescriptorProtos.EnumOptions.Builder getOptionsBuilder()
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`

### getOptionsOrBuilder

public DescriptorProtos.EnumOptionsOrBuilder getOptionsOrBuilder()
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`

Specified by:
  `getOptionsOrBuilder` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

### getReservedRangeList

public List<DescriptorProtos.EnumDescriptorProto.EnumReservedRange> getReservedRangeList()
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

Specified by:
  `getReservedRangeList` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

### getReservedRangeCount

public int getReservedRangeCount()
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

Specified by:
  `getReservedRangeCount` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

### getReservedRange

public DescriptorProtos.EnumDescriptorProto.EnumReservedRange getReservedRange(int index)
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

Specified by:
  `getReservedRange` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

### setReservedRange

public DescriptorProtos.EnumDescriptorProto.Builder setReservedRange(int index, DescriptorProtos.EnumDescriptorProto.EnumReservedRange value)
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

### setReservedRange

public DescriptorProtos.EnumDescriptorProto.Builder setReservedRange(int index, DescriptorProtos.EnumDescriptorProto.EnumReservedRange.Builder builderForValue)
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

### addReservedRange

public DescriptorProtos.EnumDescriptorProto.Builder addReservedRange(DescriptorProtos.EnumDescriptorProto.EnumReservedRange value)
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

### addReservedRange

public DescriptorProtos.EnumDescriptorProto.Builder addReservedRange(int index, DescriptorProtos.EnumDescriptorProto.EnumReservedRange value)
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

### addReservedRange

public DescriptorProtos.EnumDescriptorProto.Builder addReservedRange(DescriptorProtos.EnumDescriptorProto.EnumReservedRange.Builder builderForValue)
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

### addReservedRange

public DescriptorProtos.EnumDescriptorProto.Builder addReservedRange(int index, DescriptorProtos.EnumDescriptorProto.EnumReservedRange.Builder builderForValue)
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

### addAllReservedRange

public DescriptorProtos.EnumDescriptorProto.Builder addAllReservedRange(Iterable<? extends DescriptorProtos.EnumDescriptorProto.EnumReservedRange> values)
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

### clearReservedRange

public DescriptorProtos.EnumDescriptorProto.Builder clearReservedRange()
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

### removeReservedRange

public DescriptorProtos.EnumDescriptorProto.Builder removeReservedRange(int index)
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

### getReservedRangeBuilder

public DescriptorProtos.EnumDescriptorProto.EnumReservedRange.Builder getReservedRangeBuilder(int index)
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

### getReservedRangeOrBuilder

public DescriptorProtos.EnumDescriptorProto.EnumReservedRangeOrBuilder getReservedRangeOrBuilder(int index)
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

Specified by:
  `getReservedRangeOrBuilder` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

### getReservedRangeOrBuilderList

public List<? extends DescriptorProtos.EnumDescriptorProto.EnumReservedRangeOrBuilder> getReservedRangeOrBuilderList()
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

Specified by:
  `getReservedRangeOrBuilderList` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

### addReservedRangeBuilder

public DescriptorProtos.EnumDescriptorProto.EnumReservedRange.Builder addReservedRangeBuilder()
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

### addReservedRangeBuilder

public DescriptorProtos.EnumDescriptorProto.EnumReservedRange.Builder addReservedRangeBuilder(int index)
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

### getReservedRangeBuilderList

public List<DescriptorProtos.EnumDescriptorProto.EnumReservedRange.Builder> getReservedRangeBuilderList()
`repeated .google.protobuf.EnumDescriptorProto.EnumReservedRange reserved_range = 4 [json_name = "reservedRange"];`

### getReservedNameList

public ProtocolStringList getReservedNameList()
`repeated string reserved_name = 5 [json_name = "reservedName"];`

Specified by:
  `getReservedNameList` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`
Returns:
  A list containing the reservedName.

### getReservedNameCount

public int getReservedNameCount()
`repeated string reserved_name = 5 [json_name = "reservedName"];`

Specified by:
  `getReservedNameCount` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`
Returns:
  The count of reservedName.

### getReservedName

public String getReservedName(int index)
`repeated string reserved_name = 5 [json_name = "reservedName"];`

Specified by:
  `getReservedName` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The reservedName at the given index.

### getReservedNameBytes

public ByteString getReservedNameBytes(int index)
`repeated string reserved_name = 5 [json_name = "reservedName"];`

Specified by:
  `getReservedNameBytes` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the reservedName at the given index.

### setReservedName

public DescriptorProtos.EnumDescriptorProto.Builder setReservedName(int index, String value)
`repeated string reserved_name = 5 [json_name = "reservedName"];`

Parameters:
  `index` - The index to set the value at.
  `value` - The reservedName to set.
Returns:
  This builder for chaining.

### addReservedName

public DescriptorProtos.EnumDescriptorProto.Builder addReservedName(String value)
`repeated string reserved_name = 5 [json_name = "reservedName"];`

Parameters:
  `value` - The reservedName to add.
Returns:
  This builder for chaining.

### addAllReservedName

public DescriptorProtos.EnumDescriptorProto.Builder addAllReservedName(Iterable<String> values)
`repeated string reserved_name = 5 [json_name = "reservedName"];`

Parameters:
  `values` - The reservedName to add.
Returns:
  This builder for chaining.

### clearReservedName

public DescriptorProtos.EnumDescriptorProto.Builder clearReservedName()
`repeated string reserved_name = 5 [json_name = "reservedName"];`

Returns:
  This builder for chaining.

### addReservedNameBytes

public DescriptorProtos.EnumDescriptorProto.Builder addReservedNameBytes(ByteString value)
`repeated string reserved_name = 5 [json_name = "reservedName"];`

Parameters:
  `value` - The bytes of the reservedName to add.
Returns:
  This builder for chaining.